%define version 2.6.1
%define release 7mdk

Summary: An FTP daemon originally developed by Washington University.
Name: wu-ftpd
Version: %{version}
Release: %{release}
Copyright: BSD
Group: System/Servers
Source: ftp://ftp.wu-ftpd.org/pub/wu-ftpd/%{name}-%{version}.tar.bz2
Source1: ftpd.log
Source2: ftp.pamd
Source3: wu-ftpd-xinetd
Patch0: wu-ftpd-2.6.0-redhat.patch.bz2
Patch1: wu-ftpd-2.6.0-owners.patch.bz2
Patch2: wu-ftpd-2.6.1-fixinternalls.patch.bz2
Patch100: wu-ftpd-2.6.0-nonrootfix.patch.bz2
Provides: ftpserver
Prereq: fileutils
Obsoletes: BeroFTPD
Provides: BeroFTPD
Buildroot: %{_tmppath}/%{name}root
Requires: netkit-base
Prereq: xinetd

%description
The wu-ftpd package contains the wu-ftpd FTP (File Transfer Protocol)
server daemon.  The FTP protocol is a method of transferring files
between machines on a network and/or over the Internet.  Wu-ftpd's
features include logging of transfers, logging of commands, on the fly
compression and archiving, classification of users' type and location,
per class limits, per directory upload permissions, restricted guest
accounts, system wide and per directory messages, directory alias,
cdpath, filename filter and virtual host support.

Install the wu-ftpd package if you need to provide FTP service to remote
users.

%prep
%setup -q
mkdir rhsconfig
%patch0 -p1 
%patch1 -p1
%patch2 -p1
%patch100 -p1

%build
%configure --disable-quota --enable-pam --disable-rfc931 --enable-ratios \
	--enable-passwd --enable-ls

perl -pi -e "s,/\* #undef SHADOW_PASSWORD \*/,#define SHADOW_PASSWORD 1,g" src/config.h

make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT%{_sbindir}
make install DESTDIR=$RPM_BUILD_ROOT
install -c -m755 util/xferstats $RPM_BUILD_ROOT%{_sbindir}
cd rhsconfig
install -c -m 600 ftpaccess ftpusers  ftphosts ftpgroups ftpconversions $RPM_BUILD_ROOT/etc
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/ftpd
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/ftp
ln -sf in.ftpd $RPM_BUILD_ROOT/usr/sbin/wu.ftpd
ln -sf in.ftpd $RPM_BUILD_ROOT/usr/sbin/in.wuftpd

install -D -m644 %{SOURCE3} %buildroot/etc/xinetd.d/wu-ftpd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /var/log/xferlog ]; then
    touch /var/log/xferlog
    chmod 600 /var/log/xferlog
fi
/sbin/service xinetd reload > /dev/null 2>&1 || :

%postun
/sbin/service xinetd reload > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/wu-ftpd
%doc README ERRATA CHANGES CONTRIBUTORS
%doc doc/HOWTO doc/TODO doc/examples
%{_mandir}/*/*.*
%config(noreplace) /etc/ftp*
%config(noreplace) /etc/pam.d/ftp
%config(noreplace) /etc/logrotate.d/ftpd

%defattr(0755,bin,bin)
%{_sbindir}/*
%{_bindir}/*

%changelog
* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-7mdk
- Pamstackizification.

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-6mdk
- Upgrade xinetd support.
- Relaunch xinetd condrestart if xinetd is installed.

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6.1-5mdk
- %%config(noreplace)

* Wed Aug 30 2000 Etienne Faure <etiennemandrakesoft.com> 2.6.1-4mdk
- rebuilt with _mandir macro

* Sat Jul 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-3mdk
- Add xinetd support.

* Fri Jul  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-2mdk
- Fix internal ls.
- Remerge with redhat patches, and clean-up.

* Mon Jul  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6.1-1mdk
- 2.6.1 (mainly security fixes)

* Mon Jun 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.0-7mdk
- Security updates.
- Merge with rh patches.

* Sun May 07 2000 Jerome Martin <jerome@mandrakesoft.com> 2.6.0-6mdk
- use new configure compilation style 
- disable quotas by default to fix conflicts with supermount 
  (floppy I/O errors)

* Mon Apr 10 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- make a non root fix for Makefile.in

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 2.6.0-4mdk
- Fixed groups
- spec-helper

* Tue Jan 04 2000 John Buswell <johnb@mandrakesoft.com>
- Fixed anon access so that it requires anonftp package
- Added requires for netkit

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with rh patchs.
- Real pam support.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.6.0.

* Sat Sep 18 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.6.0pre2
- switch to autoconfed build
- enable support for broken clients
- bzip2 man pages
- Obsoletes: BeroFTPD - this is the first common version. ;)

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- crafted the "general use" spec file for automatically building rpms
